WordPress Unknown Collation utf8mb4_unicode_520_ci

Wenn Sie Ihre WordPress-Datenbank auf einen Server importieren oder migrieren, der eine ältere Version von MySQL (z.B. Version 5.5.x) hat, kann dieser Fehler auftreten:

Unknown collation: ‘utf8mb4_unicode_520_ci’

Die utf8mb4_unicode_520_ci Kollation ist ab MySQL-Versionen 5.6.x verfügbar, und WordPress verwendet diese Kollation, wenn sie während der Installation verfügbar ist. Um einen Server mit einer älteren MySQL-Version erfolgreich importieren oder migrieren zu können, haben Sie eine von drei Möglichkeiten:

Option 1

Die beste Lösung ist, den Server auf eine neuere Version von MySQL zu aktualisieren, die utf8mb4_unicode_520_ci unterstützt, oder Ihren Host zu bitten, dies für Sie zu tun. Dies gewährleistet die bestmögliche Datenintegrität für Ihre Migration.

Option 2

Wenn Sie mit PHPMyAdmin vom alten Server exportieren, wählen Sie die erweiterte Option für den Export auf einen älteren MySQL-Server:

Option 3

Wenn Sie die exportierte.sql-Datei zur Verfügung  haben, können Sie ein einfaches Suchen und Ersetzen mit einem Texteditor durchführen und alle Vorkommen von utf8mb4_unicode_520_ci durch utf8mb4_unicode_ci ersetzen.